Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking
Class FrameAccessObject

    java.lang.Object
      scone.accesstracking.FrameAccessObject

Direct Known Subclasses:
  BrowserControl, MyFrameAccess

    public abstract class FrameAccessObject

extends java.lang.Object

This Class can be inherited by classes that want to be informed on any change of open frames.

Version:
  1.0b, 11/05/2002
Author:
  Torsten Hass

Constructor Summary
`FrameAccessObject()` The constructor with out parameters gets the instance handle of FrameAccess, but does not register and ask to be called everytime a new frame opens or an open frame closes.
`FrameAccessObject(boolean register)` The constructor with the register parameter gets the instance handle of FrameAccess and, depending on the value of `register`, registers at FrameAccess and asks to be informed everytime a new frame opens or an open frame closes.

Method Summary
`boolean` | `contains(java.lang.String parentFrameAndFrameName)` Returns true if a frame is open that matches the parentFrameAndFrameName.
`boolean` | `contains(java.lang.String parentFrameName, java.lang.String frameName)` Returns true if a frame is open that matches the parentFrameName and frameName.
`abstract void` | `framesChanged(java.util.Set contents)` This abstract method has to be implemented by its subclass.
`AppletConnector` | `get(java.lang.String parentFrameAndFrameName)` Gets the AppletConnector object for a specific parentFrameAndFrameName.
`AppletConnector` | `get(java.lang.String parentFrameName, java.lang.String frameName)` Gets the AppletConnector object for a specific frameName.
`Access` | `getAccessObject(java.lang.String parentFrameAndFrameName)` Gets the Access object for a specific parentFrameAndFrameName.
`Access` | `getAccessObject(java.lang.String parentFrameName, java.lang.String frameName)` Gets the Access object for a specific frameName.
`java.util.Set` | `getSetOfContents()` Returns a Set of frame names which are open right now.
`void` | `notifyMe()` notifyMe allows other objects to register for a callback on any change of the FrameList and send the new Framelist.
`void` | `showOpenFrames()` Show all parent frame names concatinated with the frame names in the list to stdout.
`void` | `stopNotifyMe()` stopNotifyMe clears the caller's reference from the list of regeistered objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameAccessObject

    public FrameAccessObject()

  The constructor with out parameters gets the instance handle of FrameAccess, but does not register and ask to be called everytime a new frame opens or an open frame closes.

### FrameAccessObject

    public FrameAccessObject(boolean register)

  The constructor with the register parameter gets the instance handle of FrameAccess and, depending on the value of `register`, registers at FrameAccess and asks to be informed everytime a new frame opens or an open frame closes.

  Parameters:
    `register` - If true, the constructor registers at FrameAccess and and asks to be notified everytime a frames opens or closes.

Method Detail

### notifyMe

    public void notifyMe()

  notifyMe allows other objects to register for a callback on any change of the FrameList and send the new Framelist.

### stopNotifyMe

    public void stopNotifyMe()

  stopNotifyMe clears the caller's reference from the list of regeistered objects.

### contains

    public boolean contains(java.lang.String parentFrameName,
                            java.lang.String frameName)

  Returns true if a frame is open that matches the parentFrameName and frameName.

  Parameters:
    `parentframeName` - The name of the parent frame
    `frameName` - The String to be tested
  Returns:
    True if the string exists.

### contains

    public boolean contains(java.lang.String parentFrameAndFrameName)

  Returns true if a frame is open that matches the parentFrameAndFrameName.

  Parameters:
    `parentFrameAndFrameName` - The name of the parent frame and the name of the frame concatinated
  Returns:
    True if the string exists.

### get

    public AppletConnector get(java.lang.String parentFrameName,
                               java.lang.String frameName)

  Gets the AppletConnector object for a specific frameName. If there is no entry for frameName, null will be returned.

  Parameters:
    `parentframeName` - The name of the parent frame
    `frameName` - The name of the frame
  Returns:
    The corresponding AppletConnector

### get

    public AppletConnector get(java.lang.String parentFrameAndFrameName)

  Gets the AppletConnector object for a specific parentFrameAndFrameName. This frameName is a concatination of parentFrameName and frameName. If the list contains no entry for the given frameName, null will be returned.

  Parameters:
    `parentFrameAndFrameName` - parentFrameName and frameName concatinated
  Returns:
    The corresponding AppletConnector

### getAccessObject

    public Access getAccessObject(java.lang.String parentFrameName,
                                  java.lang.String frameName)

  Gets the Access object for a specific frameName. If there is no entry for frameName, null will be returned.

  Parameters:
    `parentframeName` - The name of the parent frame
    `frameName` - The name of the frame
  Returns:
    The corresponding Access object

### getAccessObject

    public Access getAccessObject(java.lang.String parentFrameAndFrameName)

  Gets the Access object for a specific parentFrameAndFrameName. This frameName is a concatination of parentFrameName and frameName. If the list contains no entry for the given frameName, null will be returned.

  Parameters:
    `parentFrameAndFrameName` - parentFrameName and frameName concatinated
  Returns:
    The corresponding Access object

### showOpenFrames

    public void showOpenFrames()

  Show all parent frame names concatinated with the frame names in the list to stdout.

### getSetOfContents

    public java.util.Set getSetOfContents()

  Returns a Set of frame names which are open right now.

  Returns:
    A Set of parent frame names concatinated with frame names (strings)

### framesChanged

    public abstract void framesChanged(java.util.Set contents)

  This abstract method has to be implemented by its subclass. It is called by FrameAccess everytime a frame opens or closes.

  Parameters:
    `contents` - A Set of string containing the parent frame names and frame names of the open frames

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD